Page MenuHomePhabricator

Create and put editable Wikimania Hackathon schedule up by June 23 (latest)
Closed, ResolvedPublic

Description

People who want to plan their time slots in advance can, people who want to wait until the week of/morning of also can do so.

Event Timeline

Rfarrand created this task.Jun 4 2015, 4:22 AM
Rfarrand claimed this task.
Rfarrand raised the priority of this task from to High.
Rfarrand updated the task description. (Show Details)
Rfarrand added subscribers: Rfarrand, Qgil, Aklapper.

I can take this one if you wish, as I did for Lyon. Even if I'm not
traveling to Mexico city, I can help with some of the preparatory work.

Sounds good! I can put up the same schedule I made for Lyon with a few edits once I have timing for dinner/lunch, etc if that works and then you can help get people on it? Does that make sense?

Rfarrand reassigned this task from Rfarrand to Qgil.Jun 4 2015, 5:25 AM
Rfarrand set Security to None.

Your table at https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2015/Program is very good. We can reuse it as soon as we know the fixed timing for opening/closure/meals and the rooms available. If you post the data here, I can recreate the table.

Sounds good, I am in the process of getting it!

Qgil renamed this task from Create and put editable schedule up at least 3 weeks in advance of the hackathon to Create and put editable Wikimania Hackathon schedule up by June 23 (latest).Jun 5 2015, 7:25 AM
Qgil lowered the priority of this task from High to Normal.Jun 5 2015, 3:32 PM
Elitre added a subscriber: Elitre.Jun 8 2015, 3:57 PM

I just requested specifics on meeting rooms for the org team. It might be worth putting a time limit on how long each session can b at least to start with as we have a limited number of rooms for talks/sessions/meetings.

@Rfarrand any news? June 23 is approaching fast.

@Qgil, in fact, yes!:

Hackathon Wednesday/Thursday:
2nd Floor -
Don Diego 2: Main hacking room, stage for opening/big talks, 150 people with rounds of 10
Don Americo: Break out room, 60 people classroom seating, if we can get video recording we will put it here
Don Genaro: Break out room, 60 people classroom seating
Central Vestibule: not reservable, centralized location for a few more rounds for informal hacking, probably fitting 20 people
4th Floor
Don Julian: Break out room, 60 people classroom seating

Hackathon Friday - Sunday:
4th floor
Dona Adelita: 100 people rounds of 10
Possibility for smaller 20 person breakout room, not confirmed

Each room will have mics and projectors

Lunch Time: 12pm - 1pm

Another change: Please change "Don Diego 2" to "Don Diego 3 and 4" which will be connected into one big room.

Qgil raised the priority of this task from Normal to High.Jun 19 2015, 6:28 AM

Can you merge it with https://wikimania2015.wikimedia.org/wiki/Programme once done please ? thanks!

Transcluded better than merged? While the Wikimania program is fully scheduled and heavily moderated, the Hackathon schedule will be quite empty and open to edits from anyone.

I'll try to get this task finished tomorrow.

no preference towards any of them, but one would do :)

Qgil added a comment.EditedJun 23 2015, 12:11 PM

@Rfarrand, which is the 24 hour hacking room?

Also, I don't see the Hackathon Showcase scheduled in https://wikimania2015.wikimedia.org/wiki/Programme . Do we have a serious problem?

In https://wikimania2015.wikimedia.org/wiki/Programme they don't talk about Don Américo etc but Room A, B, C, etc. Let's use the same system, which wins? And which Don/Doña corresponds to each letter?

Check https://wikimania2015.wikimedia.org/wiki/Hackathon#Schedule

As soon as the questions above are clear, I will see how to best merge this schedule with https://wikimania2015.wikimedia.org/wiki/Programme.

@Rfarrand, do we have a way to reach to the Hackathon participants? Perhaps the time is approaching to send a first email to the participants.

getting back to you shortly on the 24hr hacking room for Wed night and Thursday night. Friday night - Sunday the 24 hour room will be:
Dona Adelita

Please move the opening and mediawiki 101 to Don Diego 3 & 4. This will double as the main hacking space and a space for big presentations.

You could add @Aklapper intro to Phabricator in any room you want from 11-12

The names I gave you for rooms are correct, the main Wikimania schedule will redo their naming scheme shortly. Those can also be adjusted.

Yes, I have access to registration/email addresses and will be able to email anyone registered to the hackathon. Lets discuss here: https://phabricator.wikimedia.org/T103593

Rfarrand added a comment.EditedJun 24 2015, 12:41 AM

All of the rooms we have will be 24 hour for us between Wed morning and Thursday evening.
I am trying to figure out where people can go Thursday night.
Don Adelita will be 24 hour for us between Friday morning and Sunday evening and should be stocked with 24hr snacks.

Qgil closed this task as Resolved.Jun 24 2015, 10:04 AM

https://wikimania2015.wikimedia.org/wiki/Hackathon#Program_and_tasks and
https://wikimania2015.wikimedia.org/wiki/Programme

contain now the Hackathon information to the best of our knowledge. Both pages are in sync, transcluding the same tables for Wednesday and Thursday. @Rfarrand, please review the room capacity numbers.

https://wikimania2015.wikimedia.org/wiki/Hackathon#Program_and_tasks also contains instructions for people willing to schedule sessions. Task resolved. Ready to be announced with a T103593: First email to Hackathon Participants!

PS: the bad news is that I broke my stroke of months without touching wikitext section transclusion... ;)

You could add @Aklapper intro to Phabricator in any room you want from 11-12

Not sure if T102238: "Introduction to Wikimedia Tech" session (on first Hackathon day) will really take a full hour - tempted to make that 30min and also T102195: "Basic introduction to Phabricator" session (on first Hackathon day) 30min (with a followup "come to me and ask your questions and let us do things together" table in the hackroom or such)

It's OK to have sessions shorter than one hour, but let's not pack two topics in a slot.